HTTP::Proxy::BodyFilter::tags(3)

NAME
HTTP::Proxy::BodyFilter::tags - A filter that outputs only complete tags

SYNOPSIS
    use HTTP::Proxy::BodyFilter::tags;
    use MyFilter;    # this filter only works on complete tags

    my $filter = MyFilter->new();

    # note that both filters will be run on the same messages
    # (those with a MIME type of text/html)
    $proxy->push_filter(
        mime     => 'text/*',
        response => HTTP::Proxy::BodyFilter::tags->new
    );
    $proxy->push_filter( mime => 'text/html', response => $filter );

DESCRIPTION
The HTTP::Proxy::BodyFilter::tags filter makes sure that the next filter in the filter chain will only receive complete tags.

METHOD
This class defines two methods, that are called automatically:

filter()
    Buffer incomplete tags to ensure that subsequent filters will only receive complete HTML tags.

will_modify()
    This method returns a false value, thus indicating to the system that it will not modify data passing through.

SEE ALSO
HTTP::Proxy, HTTP::Proxy::BodyFilter.

AUTHOR
Philippe "BooK" Bruhat, <book@cpan.org>.

COPYRIGHT
Copyright 2003-2015, Philippe Bruhat.

LICENSE
This module is free software; you can redistribute it or modify it under the same terms as Perl itself.